Block a user
PUT
/orgs/{org}/blocks/{username}
const url = 'https://gitea.example.com/api/v1/orgs/example/blocks/example';const options = {method: 'PUT', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://gitea.example.com/api/v1/orgs/example/blocks/example \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”org
required
string
Name of the organization
username
required
string
Username of the user to block
Query Parameters
Section titled “Query Parameters”note
string
Optional note for the block
Responses
Section titled “Responses”APIEmpty is an empty response
Media typeapplication/json
APINotFound is a not found empty response
Media typeapplication/json
APIValidationError is error format response related to input validation
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string